Get logs for an HPC Job
curl --request GET \
--url https://mycluster.domino.tech/api/hpc/v1/jobs/{jobId}/logs \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/hpc/v1/jobs/{jobId}/logs"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/hpc/v1/jobs/{jobId}/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"logset": {
"isComplete": true,
"logContent": [
{
"log": "log1",
"logType": "stdout",
"size": 116,
"timestamp": 1779898443284
}
],
"pagination": {
"limit": 0,
"latestTimeNano": "1779902125487000000"
}
}
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}HPC Jobs
Get logs for an HPC Job
Retrieve the logs for the HPC Job with the specified Id. Required permissions: ViewJobs
GET
/
api
/
hpc
/
v1
/
jobs
/
{jobId}
/
logs
Get logs for an HPC Job
Authorizations
DominoApiKeyBearerAuthentication
Path Parameters
Id of HPC Job to get logs for
Query Parameters
Max number of log lines to fetch.
The epoch time in nanoseconds to start fetching from.
Filter log lines by stream type (e.g. stdout, stderr).
Response
Success
Show child attributes
Show child attributes
Related topics
Get logs for a JobGet HPC Jobs for a projectGet HPC Job detailsRun HPC workloads with SlurmWas this page helpful?
⌘I